import type { HTMLAttributes } from 'vue';
type __VLS_Props = {
    defaultValue?: string;
    modelValue?: string;
    class?: HTMLAttributes['class'];
    inputClass?: HTMLAttributes['class'];
    placeholder?: string;
    disabled?: boolean;
};
declare const __VLS_export: import("vue").DefineComponent<__VLS_Props, {}, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {} & {
    "update:modelValue": (payload: string) => any;
}, string, import("vue").PublicProps, Readonly<__VLS_Props> & Readonly<{
    "onUpdate:modelValue"?: ((payload: string) => any) | undefined;
}>, {
    placeholder: string;
}, {}, {}, {}, string, import("vue").ComponentProvideOptions, false, {}, any>;
declare const _default: typeof __VLS_export;
export default _default;
